Package com.enonic.xp.content

## Class ContentNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.enonic.xp.exception.BaseException
        - - com.enonic.xp.exception.NotFoundException
          - - com.enonic.xp.content.ContentNotFoundException

- All Implemented Interfaces:
    `Serializable`

      @PublicApi
      public final class ContentNotFoundException
      extends NotFoundException

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentNotFoundException.Builder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentNotFoundException​(ContentId contentId, Branch branch)` | Deprecated.
    `ContentNotFoundException​(ContentId contentId, Branch branch, NodePath contentRoot)` | Deprecated.
    `ContentNotFoundException​(ContentId contentId, ContentVersionId versionId, Branch branch)` | Deprecated.
    `ContentNotFoundException​(ContentIds contentIds, Branch branch)` | Deprecated.
    `ContentNotFoundException​(ContentPath contentPath, Branch branch)` | Deprecated.
    `ContentNotFoundException​(ContentPath contentPath, ContentVersionId versionId, Branch branch)` | Deprecated.
    `ContentNotFoundException​(ContentPaths contentPaths, Branch branch)` | Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentNotFoundException.Builder` | `create()` |
    `ContentPath` | `getPath()` | Deprecated.

    - ### Methods inherited from class com.enonic.xp.exception.BaseException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentNotFoundException

          @Deprecated
          public ContentNotFoundException​(ContentPath contentPath,
                                          Branch branch)

      Deprecated.

    - #### ContentNotFoundException

          @Deprecated
          public ContentNotFoundException​(ContentPaths contentPaths,
                                          Branch branch)

      Deprecated.

    - #### ContentNotFoundException

          @Deprecated
          public ContentNotFoundException​(ContentId contentId,
                                          Branch branch)

      Deprecated.

    - #### ContentNotFoundException

          @Deprecated
          public ContentNotFoundException​(ContentId contentId,
                                          Branch branch,
                                          NodePath contentRoot)

      Deprecated.

    - #### ContentNotFoundException

          @Deprecated
          public ContentNotFoundException​(ContentIds contentIds,
                                          Branch branch)

      Deprecated.

    - #### ContentNotFoundException

          @Deprecated
          public ContentNotFoundException​(ContentId contentId,
                                          ContentVersionId versionId,
                                          Branch branch)

      Deprecated.

    - #### ContentNotFoundException

          @Deprecated
          public ContentNotFoundException​(ContentPath contentPath,
                                          ContentVersionId versionId,
                                          Branch branch)

      Deprecated.

  - ### Method Detail

    - #### getPath

          @Deprecated
          public ContentPath getPath()

      Deprecated.

    - #### create

          public static ContentNotFoundException.Builder create()